#!/bin/sh
export PATH='/usr/obj/hs-concurrent-extra-0.7.0.9/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: concurrent-extra
version: 0.7.0.9
id: concurrent-extra-0.7.0.9-7a06dae01ff8abde901fd6ddfa6c7132

license: BSD3
copyright: (c) 2010-2012 Bas van Dijk & Roel van Dijk
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
            Roel van Dijk <vandijk.roel@gmail.com>
stability: experimental
homepage: https://github.com/basvandijk/concurrent-extra
package-url:
synopsis: Extra concurrency primitives
description: The @concurrent-extra@ package offers among other things the
             following selection of synchronisation primitives:
             .
             * @Broadcast@: Wake multiple threads by broadcasting a value.
             .
             * @Event@: Wake multiple threads by signalling an event.
             .
             * @Lock@: Enforce exclusive access to a resource. Also known as a
             binary semaphore or mutex. The package additionally provides an
             alternative that works in the @STM@ monad.
             .
             * @RLock@: A lock which can be acquired multiple times by the same
             thread. Also known as a reentrant mutex.
             .
             * @ReadWriteLock@: Multiple-reader, single-writer locks. Used to
             protect shared resources which may be concurrently read, but only
             sequentially written.
             .
             * @ReadWriteVar@: Concurrent read, sequential write variables.
             .
             Please consult the API documentation of the individual modules for
             more detailed information.
             .
             This package was inspired by the concurrency libraries of Java and
             Python.
category: Concurrency
author: Bas van Dijk <v.dijk.bas@gmail.com>
        Roel van Dijk <vandijk.roel@gmail.com>
pkgpath: devel/hs-concurrent-extra
exposed: True
exposed-modules: Control.Concurrent.Lock
                 Control.Concurrent.STM.Lock Control.Concurrent.RLock
                 Control.Concurrent.Event Control.Concurrent.Broadcast
                 Control.Concurrent.ReadWriteLock Control.Concurrent.ReadWriteVar
hidden-modules: Utils
trusted: False
import-dirs: /usr/local/lib/ghc/concurrent-extra-0.7.0.9
library-dirs: /usr/local/lib/ghc/concurrent-extra-0.7.0.9
hs-libraries: HSconcurrent-extra-0.7.0.9
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-e1c96ce41208f09c293083d78870d5a2
         stm-2.4.2-23ae3f5d4fc8efd50db962931f6670a1
         unbounded-delays-0.1.0.8-015ff55f5b7511268da4fbe9274a72ac
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-concurrent-extra-0.7.0.9/html/concurrent-extra.haddock
haddock-html: /usr/local/share/doc/hs-concurrent-extra-0.7.0.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
